%define debug_package %{nil}

Summary:	Fast file carver

Packager:	Lawrence R. Rogers

Vendor:		cert.org
Name:		scalpel
Version:	2.0
Release:	2%{?dist}

License:	GPL

Group:		Applications/Forensics Tools

Source:		%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version} 
BuildRequires:	gcc-c++, libstdc++-devel
BuildRequires:	tre-devel tre
Requires:	tre

%description
Scalpel is a fast file carver that reads a database of header and footer
definitions and extracts matching files from a set of image files or
raw device files. Scalpel is filesystem-independent and will carve
files from FATx, NTFS, ext2/3, or raw partitions. It is useful for both
digital forensics investigation and file recovery. Scalpel resulted from
a complete rewrite of foremost 0.69, a popular open source file carver,
to enhance performance and decrease memory usage.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
%configure
%{__make}

%install
%makeinstall

%__install -d %{buildroot}/%{_sysconfdir}
%__install %{name}.conf %{buildroot}/%{_sysconfdir}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc 
%attr(555,bin,bin)	%{_bindir}/scalpel
%attr(444,bin,bin)	%{_mandir}/man1/scalpel.1.gz
%attr(444,bin,bin)	%{_sysconfdir}/scalpel.conf

%changelog
* Tue Apr 23 2013 Lawrence R. Rogers <lrr@cert.org> - 2.0-2
	Rebuilt to use latest libtre libraries (4 vs. 5).

* Tue Apr 19 2011 <scalpel@digitalforensicssolutions.com> 2.0-1
	Public release, with multithreading, asynchronous I/O, regular expression
	support, minimum carve sizes.  Blockmap features are currently
	removed, since they are being rewritten.  We have also deprecated
	the -s option, since it is broken.  A new skip option based on
	blockmaps will be introduced in the next major release and will
	allow specific areas of disk images to be targeted for carving.

